from pytest_common import pytest, run


@pytest.mark.parametrize(
    "segments, value",
    [
        ([
             (66, 91), (152, 230), (21, 81), (323, 342), (158, 211),
             (286, 332), (294, 330), (18, 58), (183, 236)
         ], 213),
        ([
            (3663, 7093), (2777, 8077), (8316, 8542), (2095, 6144),
            (1020, 7864), (1355, 6708), (1353, 8359), (6077, 7662),
            (4248, 6815), (798, 3458), (6289, 8628), (1853, 8935),
            (3117, 7622), (3221, 7578), (1555, 4134), (1223, 8764),
            (1211, 8745), (4539, 8643), (802, 2325), (925, 7886), (5082, 8850),
            (3398, 7173), (1847, 8696), (1381, 4012), (3231, 8167),
            (854, 3384), (5398, 8974), (6864, 8265), (2410, 5897),
            (2525, 5080), (1894, 7373), (2045, 8891), (1024, 5364),
            (4525, 8863), (3390, 5445), (4202, 7725), (4144, 5055),
            (1191, 7454), (2114, 8772), (6386, 8254), (1086, 6827),
            (4859, 8941), (3617, 8480), (2478, 3605), (1167, 4806),
            (1975, 8244), (2348, 8498), (3460, 7776), (3284, 8892),
            (5656, 8089), (1008, 7435), (915, 4032), (1299, 5693),
            (1881, 8106), (936, 2864), (2357, 8108), (1150, 8598),
            (2409, 5442), (962, 8894), (2373, 6468), (3297, 8822),
            (1856, 7726), (1692, 2892), (2308, 7794), (2651, 7688),
            (2684, 5266), (7446, 8542), (2449, 7132), (2329, 6098),
            (5205, 7286), (982, 8613), (1830, 5279), (934, 6606), (3737, 8334),
            (1295, 4879), (6733, 8159), (1463, 7647), (1088, 8244),
            (1059, 6658), (7292, 7997), (5227, 6429), (5689, 8265),
            (1137, 2537), (2322, 7623), (5766, 8978), (4584, 8976),
            (3023, 5503), (1266, 8878), (806, 7531), (2672, 6689), (835, 3908),
            (1319, 8894), (4237, 8175), (3376, 8939), (795, 2183),
            (1541, 2871), (2335, 6562), (4332, 7328), (1672, 6636),
            (2796, 8699)

        ], 8183),
        ([
             (3545, 3565), (1071, 1154), (10040, 10122), (5524, 5553),
             (4068, 4125), (2725, 2784), (2681, 2687), (7374, 7408),
             (4474, 4501), (6470, 6523), (9881, 9883), (8335, 8355),
             (1066, 1158), (6140, 6159), (9474, 9486), (2265, 2284),
             (3904, 3954), (10035, 10069), (9918, 9958), (6021, 6041),
             (1888, 1897), (8214, 8246), (5676, 5723), (3365, 3440),
             (6028, 6051), (94, 169), (5154, 5173), (6141, 6151), (5593, 5614),
             (3362, 3420), (1822, 1853), (5843, 5860), (9754, 9779),
             (7884, 7938), (1890, 1897), (5843, 5859), (1849, 1869),
             (494, 536), (2143, 2196), (1485, 1519), (6412, 6420),
             (3987, 4003), (5774, 5786), (4923, 4927), (6186, 6200),
             (6616, 6701), (4919, 4923), (5673, 5716), (6928, 6981),
             (3885, 3943), (2954, 2982), (4870, 4879), (4456, 4483),
             (107, 189), (1888, 1897), (9302, 9309), (2156, 2222),
             (6648, 6708), (5384, 5444), (8713, 8764), (625, 639),
             (5958, 5989), (8337, 8355), (9689, 9691), (4346, 4406),
             (3690, 3702), (9903, 9985), (8442, 8498), (8897, 8931),
             (2540, 2589), (6412, 6419), (8574, 8611), (8031, 8087),
             (6136, 6150), (9883, 9886), (6250, 6283), (4588, 4615),
             (5610, 5621), (2373, 2441), (9614, 9646), (5461, 5462),
             (5932, 5949), (4919, 4927), (443, 454), (7280, 7307),
             (9745, 9760), (4543, 4575), (9064, 9121), (1995, 2040),
             (4583, 4605), (4597, 4616), (2503, 2542), (9301, 9311),
             (7214, 7237), (7159, 7173), (3603, 3603), (3248, 3267),
             (2769, 2795), (9048, 9126), (2513, 2564), (7613, 7620),
             (7614, 7621), (4218, 4251), (1476, 1520), (340, 396),
             (8170, 8200), (1211, 1254), (108, 185), (2956, 2994),
             (7056, 7084), (1375, 1455), (8037, 8083), (878, 927),
             (4872, 4878), (2736, 2784), (5525, 5562), (4352, 4423),
             (6923, 6951), (3603, 3605), (4533, 4554), (7503, 7598),
             (7884, 7975), (9349, 9378), (4723, 4793), (1329, 1354),
             (3080, 3084), (8443, 8485), (9357, 9421), (2389, 2458),
             (8573, 8622), (3354, 3391), (335, 413), (7519, 7570),
             (3078, 3083), (6350, 6397), (9465, 9481), (3892, 3940),
             (1656, 1687), (9594, 9627), (5776, 5789), (8049, 8101),
             (7197, 7229), (1670, 1724), (3603, 3604), (6671, 6716),
             (2078, 2080), (9465, 9476), (5956, 5980), (7512, 7600),
             (5930, 5941), (7055, 7083), (6185, 6201), (1587, 1602),
             (9218, 9245), (868, 920), (748, 819), (7742, 7791), (4703, 4735),
             (5850, 5863), (7159, 7186), (5163, 5178), (1210, 1243),
             (939, 995), (4066, 4121), (5680, 5719), (7279, 7291),
             (6285, 6329), (4403, 4443), (10069, 10135), (1061, 1156),
             (9840, 9864), (235, 240), (4464, 4501), (495, 527), (35, 70),
             (6931, 6961), (4062, 4118), (1192, 1238), (5237, 5296),
             (8778, 8789), (1815, 1837), (4546, 4571), (8459, 8504),
             (4233, 4261), (8326, 8351), (2685, 2688), (1504, 1530),
             (4721, 4778), (2267, 2284), (9688, 9689), (5461, 5461),
             (3767, 3817), (7700, 7786), (2395, 2439), (636, 648),
             (6491, 6534), (38, 76), (3730, 3815), (7286, 7316), (3718, 3807),
             (8779, 8790), (6266, 6326), (9577, 9638), (4875, 4879),
             (9823, 9848), (2882, 2890), (2167, 2222), (8921, 8957),
             (3125, 3167), (37, 82), (3516, 3550), (2264, 2282), (3984, 4003),
             (1589, 1602), (2078, 2080), (934, 1002), (3989, 3997),
             (5768, 5786), (5428, 5459), (3244, 3252), (7041, 7058),
             (4988, 5040), (8878, 8910), (6024, 6041), (8778, 8790),
             (3247, 3270), (6184, 6189), (6340, 6398), (7199, 7234),
             (5461, 5462), (2883, 2890), (235, 239), (1336, 1350),
             (5935, 5950), (9359, 9403), (6774, 6813), (6779, 6827),
             (746, 826), (9094, 9137), (1430, 1464), (2627, 2677),
             (3127, 3178), (1366, 1454), (3532, 3556), (9879, 9882),
             (9218, 9260), (7904, 7978), (2946, 2962), (9688, 9692),
             (3082, 3085), (6479, 6525), (5518, 5552), (7365, 7395),
             (1685, 1745), (7609, 7617), (6334, 6387), (9300, 9304),
             (451, 461), (235, 238), (6413, 6420), (1582, 1599), (1968, 2033),
             (322, 402), (7159, 7185), (4224, 4267), (2615, 2673),
             (5225, 5287), (5028, 5058), (6771, 6795), (5005, 5046),
             (5406, 5452), (3694, 3708), (9748, 9776), (7370, 7411),
             (439, 461), (8568, 8620), (9210, 9246), (2886, 2892),
             (5150, 5177), (8181, 8230), (5597, 5612), (2628, 2673),
             (622, 631), (3131, 3162), (3683, 3700), (7707, 7783),
             (1960, 2039), (5975, 5989), (5229, 5289), (8709, 8747),
             (1332, 1358), (843, 916), (483, 510), (771, 842), (8710, 8753),
             (9903, 9970), (9823, 9862), (971, 1008), (2681, 2687),
             (2078, 2079)
         ], 4989),
        ([
             (43293, 43320), (52681, 52697), (79626, 79672), (36021, 36031),
             (84541, 84598), (97003, 97010), (31773, 31814), (83421, 83458),
             (9080, 9133), (90679, 90701), (21207, 21229), (58804, 58847),
             (70376, 70391), (2252, 2297), (91735, 91762), (48514, 48515),
             (88273, 88303), (31234, 31264), (95388, 95414), (33433, 33478),
             (76783, 76805), (52655, 52659), (3601, 3614), (39572, 39663),
             (19622, 19627), (57904, 57907), (74708, 74755), (35127, 35157),
             (25428, 25429), (63877, 63931), (72142, 72203), (78997, 79018),
             (61055, 61065), (43734, 43808), (73648, 73684), (40326, 40331),
             (61840, 61928), (16214, 16216), (84353, 84417), (2678, 2724),
             (79683, 79719), (46648, 46673), (62144, 62178), (24721, 24736),
             (10165, 10170), (743, 761), (49901, 49965), (72380, 72444),
             (18038, 18051), (4287, 4355), (84735, 84796), (48515, 48517),
             (75336, 75382), (1161, 1218), (19182, 19269), (36893, 36913),
             (93627, 93648), (75808, 75839), (48293, 48347), (93215, 93242),
             (63171, 63179), (74841, 74850), (83142, 83183), (46377, 46425),
             (3684, 3689), (42997, 43048), (4665, 4701), (37174, 37187),
             (50269, 50291), (79457, 79487), (51314, 51330), (20671, 20696),
             (41743, 41773), (87834, 87850), (89082, 89137), (2825, 2871),
             (33678, 33758), (97879, 97915), (11506, 11553), (69945, 69987),
             (25350, 25380), (67059, 67066), (4743, 4768), (98085, 98138),
             (30535, 30590), (97045, 97072), (44693, 44694), (5866, 5952),
             (818, 826), (54220, 54265), (66880, 66945), (22913, 22920),
             (17856, 17884), (86030, 86048), (30888, 30906), (59247, 59298),
             (67360, 67390), (55629, 55660), (73817, 73843), (61017, 61022),
             (61238, 61247), (64029, 64108), (93240, 93276), (97958, 98019),
             (95280, 95301), (84611, 84627), (44787, 44842), (50652, 50709),
             (72787, 72849), (42521, 42545), (44521, 44538), (65297, 65328),
             (91740, 91756), (62289, 62359), (84929, 84992), (69657, 69696),
             (47341, 47359), (163, 220), (5468, 5509), (53324, 53348),
             (8334, 8373), (33429, 33447), (55202, 55225), (42775, 42780),
             (81299, 81375), (82831, 82844), (64867, 64894), (13162, 13177),
             (18564, 18612), (74718, 74757), (65167, 65200), (25582, 25619),
             (92613, 92667), (51070, 51116), (61506, 61550), (44401, 44489),
             (27153, 27182), (1689, 1709), (24582, 24656), (42638, 42698),
             (88075, 88098), (61184, 61215), (96587, 96617), (53818, 53826),
             (13756, 13809), (13366, 13374), (64520, 64524), (83752, 83770),
             (8300, 8360), (51066, 51135), (5078, 5129), (16596, 16636),
             (71336, 71337), (12373, 12416), (70431, 70439), (22525, 22582),
             (65355, 65360), (26828, 26845), (46278, 46288), (28736, 28744),
             (7680, 7731), (5204, 5231), (98, 161), (89841, 89845),
             (1337, 1352), (23958, 23990), (92522, 92566), (62962, 62991),
             (44114, 44116), (9246, 9311), (54900, 54935), (85765, 85792),
             (90798, 90798), (27505, 27521), (85998, 86009), (96305, 96338),
             (27942, 27961), (38587, 38616), (38810, 38852), (70600, 70658),
             (48517, 48519), (8664, 8708), (29553, 29582), (758, 784),
             (11738, 11769), (82677, 82715), (13901, 13928), (64036, 64120),
             (84470, 84494), (23132, 23159), (37730, 37735), (68005, 68070),
             (70701, 70759), (22173, 22185), (96768, 96823), (85627, 85659),
             (6715, 6762), (27247, 27287), (10697, 10716), (74413, 74475),
             (31496, 31515), (31610, 31659), (18100, 18113), (12963, 12997),
             (45066, 45106), (58208, 58230), (64211, 64262), (20145, 20180),
             (91121, 91138), (56739, 56784), (45082, 45107), (94570, 94617),
             (94965, 95030), (34117, 34157), (30269, 30299), (40654, 40719),
             (11886, 11924), (97469, 97503), (67834, 67847), (36467, 36527),
             (99280, 99297), (71770, 71817), (37981, 38001), (37470, 37516),
             (69513, 69555), (21497, 21531), (54647, 54691), (66104, 66149),
             (20022, 20070), (2473, 2533), (32962, 33008), (27583, 27616),
             (12714, 12739), (28604, 28636), (15925, 15979), (55237, 55244),
             (59071, 59142), (98298, 98320), (70221, 70271), (95536, 95573),
             (68167, 68177), (27416, 27463), (74336, 74375), (18021, 18037),
             (25264, 25266), (77357, 77397), (27506, 27520), (43301, 43322),
             (50167, 50198), (41852, 41875), (24407, 24409), (50327, 50344),
             (26120, 26128), (46377, 46424), (90429, 90458), (36173, 36204),
             (77648, 77672), (15292, 15346), (21016, 21070), (32460, 32506),
             (60121, 60164), (15786, 15814), (45608, 45636), (94890, 94905),
             (88568, 88630), (4735, 4763), (97821, 97821), (30639, 30673),
             (39735, 39743), (34874, 34937), (80495, 80536), (24284, 24301),
             (5202, 5227), (42467, 42491), (59496, 59582), (25022, 25043),
             (49903, 49951), (76264, 76306), (55296, 55346), (82536, 82605),
             (92274, 92328), (90798, 90800), (70063, 70131), (77059, 77062),
             (63469, 63475), (76264, 76322), (33193, 33202), (66290, 66342),
             (11418, 11452), (36028, 36040), (69275, 69322), (87079, 87151),
             (52148, 52157), (70947, 71002), (19686, 19732), (29394, 29407),
             (60289, 60308), (2563, 2578), (44034, 44098), (37955, 37979),
             (61058, 61067), (99478, 99513), (946, 995), (41450, 41498),
             (30350, 30410), (20212, 20275), (69648, 69678), (10792, 10855),
             (84612, 84621), (55049, 55071), (30731, 30771), (83142, 83162),
             (25264, 25264), (19759, 19766), (88029, 88057), (70665, 70706),
             (99580, 99619), (58947, 58973), (181, 227), (71903, 71960),
             (23718, 23732), (60525, 60595), (35974, 35994), (45259, 45301),
             (54834, 54875), (35817, 35867), (23586, 23622), (97976, 98020),
             (74564, 74620), (12896, 12925), (30106, 30174), (36291, 36353),
             (76335, 76387), (89714, 89745), (13919, 13935), (24864, 24895),
             (48733, 48748), (18276, 18278), (97745, 97752), (35262, 35296),
             (24582, 24634), (64962, 65025), (20761, 20801), (15885, 15966),
             (22912, 22916), (16719, 16741), (49684, 49751), (52132, 52145),
             (78357, 78428), (1926, 1991), (43117, 43169), (2268, 2313),
             (31329, 31349), (87476, 87510), (35331, 35383), (86759, 86808),
             (97572, 97635), (47855, 47858), (55179, 55210), (17327, 17352),
             (25888, 25941), (98577, 98604), (5524, 5547), (70615, 70663),
             (29143, 29193), (41067, 41091), (96920, 96932), (4999, 5038),
             (24292, 24310), (38569, 38641), (73107, 73117), (41119, 41150),
             (83234, 83247), (40023, 40077), (2672, 2724), (26372, 26432),
             (70535, 70557), (99556, 99579), (41941, 41964), (32430, 32503),
             (58545, 58573), (51360, 51419), (80945, 81011), (35450, 35498),
             (56111, 56143), (33773, 33812), (87621, 87660), (17030, 17081),
             (20204, 20271), (91226, 91269), (98583, 98607), (81424, 81446),
             (17517, 17574), (44401, 44480), (62909, 62936), (33271, 33303),
             (14052, 14113), (71898, 71966), (77480, 77495), (88860, 88900),
             (47346, 47377), (1337, 1358), (47857, 47859), (19308, 19353),
             (83328, 83334), (33491, 33523), (58807, 58857), (23586, 23625),
             (92198, 92254), (91595, 91682), (26191, 26225), (68455, 68492),
             (67643, 67671), (60409, 60428), (71927, 71987), (72258, 72318),
             (54593, 54619), (72247, 72272), (18514, 18586), (45776, 45807),
             (4172, 4199), (29553, 29599), (16323, 16364), (80637, 80665),
             (45864, 45887), (13378, 13385), (61419, 61427), (87737, 87799),
             (38270, 38277), (38385, 38438), (3598, 3604), (47482, 47542),
             (88704, 88711), (65442, 65496), (64379, 64446), (52653, 52656),
             (87836, 87856), (22424, 22434), (80238, 80281), (25472, 25522),
             (37445, 37511), (16457, 16492), (86029, 86048), (87265, 87328),
             (74412, 74477), (43363, 43380), (41572, 41621), (38523, 38561),
             (92425, 92454), (2136, 2164), (18410, 18431), (36893, 36903),
             (49591, 49602), (89251, 89272), (62910, 62941), (80084, 80138),
             (48475, 48477), (80484, 80539), (84444, 84475), (50748, 50778),
             (21732, 21812), (3679, 3685), (63713, 63780), (24529, 24539),
             (29563, 29620), (97486, 97515), (81633, 81686), (98228, 98258),
             (67246, 67276), (20457, 20462), (45366, 45381), (7392, 7435),
             (7181, 7230), (52722, 52795), (63624, 63660), (22536, 22579),
             (30272, 30297), (45144, 45182), (72922, 73018), (73052, 73060),
             (53736, 53751), (93048, 93053), (37652, 37729), (99286, 99303),
             (27831, 27836), (96044, 96086), (61729, 61786), (72379, 72454),
             (59717, 59749), (11974, 11996), (17222, 17273), (40948, 40979),
             (93107, 93119), (56405, 56428), (60147, 60190), (19853, 19885),
             (18075, 18107), (41846, 41867), (8097, 8105), (88704, 88712),
             (13160, 13174), (69055, 69147), (34147, 34164), (28736, 28739),
             (56874, 56922), (21296, 21301), (84365, 84435), (58029, 58077),
             (21308, 21365), (22910, 22914), (96059, 96120), (57992, 58062),
             (93724, 93728), (51767, 51811), (7673, 7727), (83219, 83243),
             (70373, 70389), (64203, 64271), (22020, 22059), (28822, 28829),
             (59546, 59586), (96722, 96739), (97005, 97015), (10775, 10858),
             (50259, 50274), (56075, 56081), (26567, 26621), (86882, 86923),
             (26271, 26275), (96596, 96625), (95961, 95968), (84136, 84142),
             (63044, 63058), (42067, 42089), (49494, 49539), (61967, 61994),
             (7909, 7917), (12823, 12838), (7843, 7877), (26489, 26510),
             (75017, 75057), (75181, 75226), (11858, 11881), (23765, 23771),
             (8097, 8114), (74869, 74914), (13018, 13028), (49589, 49602),
             (19907, 19939), (16214, 16218), (94024, 94086), (92990, 93018),
             (23329, 23369), (48852, 48899), (58820, 58857), (20363, 20411),
             (76087, 76143), (34221, 34267), (53625, 53631), (85528, 85553),
             (11550, 11577), (31500, 31544), (85455, 85460), (11013, 11040),
             (13018, 13027), (77338, 77371), (81431, 81451), (31409, 31470),
             (88974, 89033), (96667, 96688), (15431, 15472), (77061, 77065),
             (37904, 37940), (31241, 31290), (78674, 78699), (67, 124),
             (5308, 5337), (33197, 33208), (52651, 52655), (60968, 60981),
             (94556, 94584), (7910, 7919), (37080, 37095), (13286, 13296),
             (91634, 91684), (95759, 95806), (17327, 17359), (22255, 22301),
             (51251, 51291), (15217, 15246), (88442, 88486), (34223, 34259),
             (28397, 28451), (90963, 91026), (64362, 64401), (16943, 17000),
             (61850, 61898), (81435, 81451), (40178, 40224), (40474, 40500),
             (44132, 44154), (28905, 28925), (3604, 3614), (57749, 57797),
             (71190, 71219), (84369, 84412), (29258, 29313), (56860, 56897),
             (24448, 24500), (86291, 86318), (11637, 11674), (37083, 37097),
             (95535, 95563), (22749, 22777), (66099, 66173), (39694, 39706),
             (77435, 77448), (13591, 13646), (27343, 27377), (90003, 90046),
             (48153, 48192), (53309, 53345), (85368, 85417), (43866, 43917),
             (82900, 82927), (19201, 19272), (54027, 54079), (7829, 7901),
             (31921, 31981), (88108, 88144), (48619, 48632), (69288, 69323),
             (85033, 85084), (76800, 76813), (94687, 94718), (58776, 58780),
             (69346, 69420), (89980, 90057), (13577, 13648), (84220, 84255),
             (12815, 12837), (61261, 61297), (70231, 70259), (68365, 68397),
             (76750, 76754), (31050, 31100), (71421, 71437), (1465, 1496),
             (28598, 28630), (78340, 78376), (8181, 8234), (44255, 44275),
             (37526, 37561), (51222, 51223), (63061, 63079), (99210, 99223),
             (18657, 18697), (27678, 27710), (88972, 89043), (69161, 69212),
             (95158, 95184), (98577, 98608), (69277, 69320), (53668, 53672),
             (64877, 64920), (55625, 55651), (26349, 26356), (22977, 23002),
             (26749, 26764), (68528, 68539), (33716, 33758), (38508, 38550),
             (66438, 66521), (71431, 71453), (38653, 38663), (34103, 34107),
             (44266, 44305), (79816, 79879), (37268, 37272), (16465, 16494),
             (97750, 97758), (62122, 62158), (70826, 70836), (69171, 69225),
             (48474, 48477), (95434, 95462), (55842, 55849), (82061, 82128),
             (11664, 11693), (80746, 80796), (1791, 1831), (2691, 2737),
             (24991, 25026), (43879, 43940), (79543, 79560), (47624, 47702),
             (28102, 28125), (81776, 81819), (39486, 39536), (2636, 2642),
             (26747, 26761), (53496, 53535), (37904, 37931), (45364, 45384),
             (28989, 28993), (96901, 96930), (52043, 52074), (34881, 34933),
             (94183, 94193), (76027, 76033), (34974, 34994), (15091, 15107),
             (60263, 60292), (6060, 6134), (2394, 2428), (99558, 99618),
             (1143, 1147), (13167, 13182), (93426, 93469), (1785, 1804),
             (28227, 28228), (81948, 81991), (82447, 82482), (82909, 82927),
             (37080, 37097), (74000, 74026), (8689, 8726), (29657, 29660),
             (10309, 10332), (99660, 99680), (87102, 87152), (41459, 41518),
             (82363, 82428), (90722, 90736), (59386, 59397), (61661, 61688),
             (74214, 74259), (1369, 1373), (30525, 30590), (26752, 26759),
             (19759, 19762), (56487, 56514), (26491, 26515), (33604, 33673),
             (99272, 99298), (84652, 84706), (52809, 52870), (39092, 39137),
             (6872, 6915), (38043, 38079), (4990, 5036), (80760, 80803),
             (26058, 26068), (55050, 55075), (57453, 57491), (47620, 47658),
             (55957, 56011), (67305, 67307), (32320, 32353), (312, 319),
             (58292, 58345), (23765, 23772), (95763, 95800), (10944, 10998),
             (9695, 9740), (2961, 2975), (21929, 21939), (69765, 69789),
             (37546, 37562), (87847, 87864), (7542, 7619), (45070, 45128),
             (71053, 71104), (55237, 55253), (15067, 15105), (42775, 42777),
             (30996, 31022), (85161, 85173), (34600, 34615), (49420, 49460),
             (43427, 43457), (51738, 51745), (66095, 66129), (33508, 33539),
             (20665, 20702), (95432, 95452), (38492, 38500), (98969, 98973),
             (66725, 66770), (45139, 45196), (26989, 27056), (48744, 48758),
             (95097, 95135), (40781, 40830), (94864, 94874), (36588, 36650),
             (72261, 72294), (14481, 14574), (83994, 84030), (85152, 85168),
             (19841, 19876), (35822, 35869), (21018, 21070), (11913, 11964),
             (38188, 38194), (87623, 87654), (27567, 27631), (55972, 56010),
             (13853, 13863), (57928, 57951), (94206, 94276), (47468, 47540),
             (38029, 38080), (61289, 61341), (46515, 46559), (69443, 69503),
             (25426, 25428), (38568, 38620), (79202, 79229), (38900, 38940),
             (32716, 32752), (98521, 98529), (78459, 78538), (42052, 42076),
             (13898, 13911), (24803, 24812), (49793, 49811), (30770, 30796),
             (34812, 34870), (77475, 77482), (10801, 10859), (23486, 23492),
             (43710, 43807), (39966, 39982), (9616, 9631), (90547, 90598),
             (84198, 84227), (43621, 43634), (79084, 79118), (75572, 75604),
             (57742, 57814), (64628, 64652), (21929, 21939), (3794, 3794),
             (58781, 58785), (47783, 47819), (82466, 82496), (84730, 84799),
             (16214, 16215), (37735, 37738), (32548, 32621), (80405, 80450),
             (14340, 14374), (29951, 30014), (99819, 99857), (81962, 81984),
             (33122, 33156), (45766, 45791), (94960, 95042), (3906, 3929),
             (86536, 86595), (83768, 83790), (17318, 17345), (85261, 85269),
             (50746, 50765), (44023, 44074), (94451, 94464), (14238, 14324),
             (31751, 31811), (63515, 63548), (36805, 36808), (82524, 82619),
             (4902, 4905), (11425, 11481), (29764, 29831), (75036, 75079),
             (17126, 17146), (74065, 74069), (51355, 51391), (69968, 69997),
             (81331, 81392), (69634, 69660), (46540, 46570), (46722, 46727),
             (17984, 18016), (398, 428), (27933, 27956), (39327, 39346),
             (34588, 34601), (74894, 74919), (82063, 82144), (76026, 76030),
             (46898, 46988), (88273, 88321), (39073, 39122), (48636, 48658),
             (68185, 68194), (49494, 49537), (32834, 32867), (57195, 57237),
             (94231, 94275), (60785, 60813), (63469, 63476), (36450, 36519),
             (97093, 97119), (45000, 45032), (69012, 69029), (64682, 64692),
             (45658, 45714), (88781, 88822), (46284, 46292), (52380, 52382),
             (36739, 36743), (40551, 40583), (62628, 62703), (15796, 15833),
             (36804, 36805), (73210, 73300), (96049, 96143), (1164, 1252),
             (36738, 36741), (2568, 2588), (68663, 68714), (45015, 45036),
             (38357, 38422), (63278, 63360), (60114, 60145), (57434, 57483),
             (42517, 42537), (2581, 2592), (16706, 16749), (92659, 92685),
             (36065, 36078), (92093, 92093), (68432, 68488), (99965, 99998),
             (23461, 23476), (7044, 7065), (49504, 49543), (26338, 26350),
             (28497, 28516), (4437, 4484), (38149, 38186), (96703, 96739),
             (10251, 10267), (30634, 30657), (92998, 93018), (98053, 98112),
             (86301, 86323), (46137, 46146), (33695, 33747), (92425, 92456),
             (83634, 83663), (4902, 4905), (46078, 46098), (946, 1005),
             (98235, 98273), (14478, 14572), (1929, 1997), (55262, 55325),
             (1075, 1120), (97616, 97660), (90721, 90727), (8835, 8873),
             (49810, 49838), (75418, 75474), (94043, 94074), (8530, 8597),
             (89623, 89625), (52226, 52265), (53736, 53758), (17698, 17747),
             (98613, 98630), (72148, 72196), (43367, 43409), (96647, 96681),
             (23884, 23909), (1592, 1621), (16798, 16823), (16935, 16968),
             (47276, 47279), (68820, 68882), (22337, 22356), (88961, 88997),
             (62304, 62351), (61508, 61547), (91588, 91676), (61206, 61229),
             (81579, 81615), (86886, 86922), (75341, 75406), (19132, 19148),
             (73578, 73580), (17236, 17261), (61242, 61260), (67229, 67273),
             (34439, 34487), (94774, 94831), (7905, 7919), (43621, 43635),
             (17030, 17099), (57905, 57909), (18374, 18377), (71476, 71491),
             (66759, 66787), (70039, 70125), (64520, 64521), (31135, 31165),
             (37267, 37270), (26269, 26276), (39174, 39211), (71649, 71683),
             (92324, 92372), (64194, 64266), (50167, 50184), (87238, 87305),
             (59056, 59111), (10898, 10933), (3679, 3694), (78113, 78141),
             (22281, 22308), (72435, 72475), (86374, 86427), (73632, 73704),
             (19295, 19340), (42437, 42480), (20952, 21008), (95895, 95929),
             (70692, 70758), (72559, 72646), (76325, 76354), (48806, 48868),
             (27230, 27274), (55871, 55885), (92814, 92875), (70379, 70399),
             (35357, 35416), (43014, 43043), (89320, 89345), (58668, 58713),
             (55962, 56037), (4110, 4138), (73328, 73348), (70971, 71006),
             (68362, 68377), (17942, 17949), (12954, 12976), (83329, 83334),
             (6006, 6023), (76190, 76219), (70594, 70630), (48390, 48419),
             (88138, 88174), (59829, 59861), (51491, 51518), (77142, 77146),
             (93048, 93054), (67827, 67843), (65345, 65355), (36843, 36844),
             (2957, 2975), (29932, 29988), (35973, 35999), (41257, 41277),
             (85257, 85265), (3279, 3363), (79439, 79485), (44938, 44950),
             (95960, 95964), (58201, 58227), (79208, 79221), (13066, 13137),
             (15191, 15246), (20936, 20993), (76452, 76468), (30132, 30187),
             (94214, 94292), (47771, 47802), (6086, 6136), (82818, 82839),
             (67363, 67404), (64022, 64114), (90662, 90691), (82250, 82276),
             (74067, 74069), (34029, 34073), (745, 778), (93893, 93953),
             (38653, 38673), (12532, 12606), (85889, 85940), (49213, 49261),
             (4432, 4498), (38336, 38341), (37781, 37840), (80422, 80453),
             (93889, 93935), (65832, 65867), (64899, 64942), (39343, 39376),
             (46783, 46808), (76553, 76554), (5580, 5618), (47032, 47071),
             (89497, 89534), (41124, 41157), (78223, 78228), (87521, 87534),
             (98962, 98971), (36938, 37004), (44693, 44694), (90209, 90217),
             (67361, 67395), (44937, 44949), (51902, 51941), (77321, 77362),
             (91410, 91429), (72018, 72035), (7541, 7585), (72582, 72625),
             (6978, 6999), (71504, 71509), (38039, 38105), (64380, 64452),
             (866, 889), (92538, 92571), (163, 234), (38190, 38197),
             (57271, 57324), (40376, 40381), (6416, 6451), (41077, 41094),
             (65348, 65355), (74840, 74849), (36843, 36844), (2466, 2509),
             (56169, 56175), (14028, 14109), (59704, 59712), (94597, 94623),
             (54594, 54621), (75491, 75528), (67100, 67144), (35364, 35419),
             (6303, 6350), (12013, 12099), (90211, 90215), (81055, 81065),
             (21445, 21473), (43519, 43546), (49429, 49469), (97368, 97370),
             (27691, 27731), (74562, 74603), (52139, 52150), (56167, 56173),
             (77516, 77542), (37730, 37733), (55095, 55143), (1369, 1374),
             (1143, 1147), (57016, 57095), (18029, 18045), (20138, 20190),
             (15414, 15448), (26964, 27001), (48750, 48766), (65682, 65695),
             (88433, 88495), (86520, 86595), (65563, 65624), (71586, 71587),
             (42052, 42071), (29275, 29310), (95289, 95309), (41225, 41265),
             (2053, 2091), (17158, 17175), (27397, 27466), (79843, 79879),
             (26061, 26082), (64716, 64763), (52755, 52797), (34302, 34335),
             (38653, 38674), (97191, 97236), (46018, 46021), (88349, 88415),
             (56609, 56636), (9508, 9543), (20125, 20150), (3978, 4024),
             (4160, 4187), (33271, 33311), (51799, 51819), (95868, 95900),
             (67112, 67155), (17696, 17733), (9519, 9564), (42886, 42948),
             (98410, 98415), (43097, 43192), (31913, 31973), (64744, 64776),
             (11040, 11073), (12992, 13012), (48624, 48645), (39847, 39868),
             (26339, 26350), (7391, 7407), (21662, 21699), (85729, 85784),
             (61016, 61019), (97419, 97421), (55505, 55524), (52975, 53035),
             (12009, 12061), (4810, 4829), (32862, 32911), (46768, 46798),
             (50647, 50707), (26117, 26122), (99829, 99869), (78052, 78061),
             (5427, 5506), (7397, 7440), (83211, 83226), (31109, 31130),
             (87370, 87374), (78643, 78676), (80399, 80451), (20773, 20816),
             (45598, 45625), (37174, 37187), (62817, 62868), (37322, 37377),
             (68218, 68239), (90166, 90172), (87935, 87943), (48299, 48334),
             (87369, 87374), (19002, 19040), (53060, 53110), (28030, 28048),
             (18651, 18684), (74556, 74577), (75704, 75767), (4536, 4574),
             (40328, 40337), (90241, 90253), (39741, 39745), (4412, 4497),
             (22638, 22660), (34874, 34956), (84076, 84116), (59394, 59406),
             (21326, 21368), (5099, 5149), (39187, 39226), (48125, 48175),
             (63166, 63183), (38492, 38500), (51371, 51417), (73202, 73275),
             (62914, 62947), (68807, 68869), (21295, 21300), (53668, 53678),
             (42527, 42548), (66428, 66491), (90532, 90584), (86658, 86732),
             (67546, 67597), (3903, 3918), (38308, 38309), (4653, 4691),
             (19914, 19994), (67838, 67849), (75408, 75450), (35216, 35218),
             (17843, 17868), (56122, 56147), (5436, 5497), (5123, 5163),
             (550, 612), (19759, 19766), (38931, 38971), (22330, 22359),
             (26890, 26961), (29656, 29659), (51222, 51223), (3007, 3022),
             (22028, 22073), (60416, 60434), (14046, 14117), (97298, 97346),
             (45652, 45727), (96911, 96930), (22951, 22983), (59500, 59574),
             (33094, 33125), (13483, 13507), (53821, 53827), (58317, 58348),
             (38308, 38308), (928, 933), (5316, 5365), (53629, 53641),
             (50059, 50106), (29529, 29532), (97368, 97369), (43025, 43066),
             (61649, 61674), (16807, 16856), (88432, 88480), (61405, 61412),
             (98411, 98422), (26418, 26446), (40376, 40379), (12271, 12318),
             (50432, 50441), (24892, 24923), (34638, 34705), (4663, 4689),
             (1344, 1360), (10293, 10325), (27931, 27958), (52848, 52895),
             (61405, 61423), (8942, 9001), (47277, 47278), (54328, 54368),
             (90819, 90904), (92198, 92246), (96466, 96524), (96827, 96861),
             (25128, 25145), (61052, 61062), (57603, 57626), (59616, 59626),
             (26393, 26426), (50947, 51001), (52741, 52777), (71586, 71587),
             (4903, 4905), (3977, 3999), (40376, 40380), (25928, 25958),
             (47791, 47822), (69370, 69413), (41387, 41420), (16721, 16750),
             (61115, 61138), (94186, 94195), (12821, 12839), (19822, 19847),
             (32294, 32350), (38786, 38829), (33904, 33928), (395, 427),
             (45458, 45520), (32265, 32272), (13275, 13293), (69772, 69790),
             (5520, 5539), (48393, 48448), (57184, 57206), (5658, 5691),
             (84562, 84605), (31620, 31657), (14802, 14827), (51740, 51750),
             (22792, 22826), (83032, 83060), (12674, 12694), (44497, 44526),
             (56848, 56876), (65566, 65627), (13366, 13379), (88780, 88828),
             (58628, 58697), (70524, 70551), (99743, 99746), (73961, 74012),
             (65815, 65846), (34101, 34105), (24134, 24221), (62666, 62703),
             (46175, 46227), (83630, 83654), (33596, 33654), (29009, 29016),
             (23493, 23498), (44571, 44610), (78976, 79011), (56166, 56170),
             (11193, 11228), (73460, 73515), (49678, 49735), (1605, 1629),
             (86682, 86737), (89239, 89259), (83328, 83333), (94182, 94195),
             (69523, 69577), (34629, 34695), (14168, 14175), (6704, 6773),
             (51316, 51339), (82807, 82840), (59840, 59871), (67052, 67064),
             (22182, 22200), (61840, 61922), (23030, 23095), (71336, 71338),
             (84650, 84712), (96456, 96519), (42775, 42780), (69521, 69559),
             (59238, 59262), (3504, 3520), (88878, 88919), (89407, 89467),
             (11494, 11498), (77712, 77727), (66730, 66783), (28710, 28725),
             (51232, 51270), (25480, 25523), (33384, 33393), (21221, 21243),
             (55670, 55740), (92540, 92574), (97422, 97424), (42145, 42167),
             (49221, 49248), (98246, 98282), (49133, 49195), (76027, 76032),
             (65436, 65497), (3794, 3795), (94852, 94859), (39840, 39867),
             (20576, 20589), (77210, 77237), (12270, 12299), (99320, 99361),
             (50926, 50996), (83755, 83788), (97368, 97369), (41240, 41264),
             (77060, 77063), (34104, 34108), (78728, 78809), (72821, 72854),
             (84838, 84886), (3507, 3523), (8504, 8565), (82484, 82516),
             (47994, 48030), (78320, 78338), (11976, 11996), (27829, 27833),
             (54059, 54082), (55622, 55636), (3194, 3256), (75878, 75916),
             (41588, 41606), (35041, 35050), (92727, 92736), (90550, 90615),
             (89714, 89737), (90277, 90350), (34460, 34506), (49320, 49374),
             (14644, 14688), (54235, 54273), (60982, 60999), (76750, 76754),
             (6201, 6249), (41723, 41758), (29404, 29425), (68966, 68969),
             (927, 936), (20387, 20420), (65248, 65255), (38916, 38957),
             (36898, 36916), (11260, 11268), (857, 897), (53896, 53928),
             (98801, 98860), (58562, 58574), (70049, 70133), (55839, 55851),
             (12557, 12614), (81591, 81615), (66182, 66194), (24805, 24809),
             (53494, 53536), (7877, 7901), (84098, 84117), (46536, 46591),
             (18374, 18377), (18276, 18278), (18996, 19020), (91838, 91842),
             (32149, 32169), (93048, 93055), (86124, 86136), (60753, 60782),
             (90688, 90717), (99334, 99362), (78488, 78546), (13064, 13116),
             (35965, 35994), (99672, 99695), (64684, 64691), (93382, 93385),
             (78110, 78156), (22174, 22208), (20038, 20118), (60258, 60275),
             (60510, 60572), (24412, 24415), (87741, 87798), (21739, 21827),
             (46460, 46474), (27694, 27735), (91413, 91450), (67656, 67711),
             (11370, 11400), (19132, 19148), (54518, 54529), (85530, 85551),
             (39977, 39986), (97871, 97927), (68451, 68476), (4743, 4761),
             (42181, 42203), (92093, 92094), (15655, 15705), (87130, 87166),
             (60513, 60586), (93113, 93129), (9139, 9189), (69346, 69420),
             (80645, 80666), (96646, 96663), (14788, 14824), (32851, 32892),
             (49210, 49257), (14633, 14667), (92988, 93007), (67303, 67308),
             (75825, 75840), (76184, 76202), (83426, 83459), (9139, 9185),
             (97316, 97353), (6447, 6499), (22957, 22989), (10382, 10394),
             (8933, 8982), (90839, 90884), (18980, 18994), (39699, 39727),
             (13267, 13288), (80382, 80389), (33325, 33339), (64724, 64772),
             (9618, 9632), (68821, 68864), (72939, 72989), (84445, 84486),
             (78222, 78228), (96202, 96296), (35473, 35502), (21742, 21831),
             (51924, 52003), (17961, 17981), (38308, 38308), (75699, 75772),
             (47855, 47859), (25143, 25179), (86170, 86267), (10690, 10712),
             (65685, 65711), (87720, 87790), (27245, 27298), (67499, 67595),
             (91906, 91937), (76609, 76691), (89310, 89325), (39174, 39207),
             (68231, 68250), (3990, 4010), (57201, 57233), (68371, 68397),
             (23702, 23720), (38765, 38824), (38336, 38341), (69104, 69150),
             (9084, 9120), (47933, 47984), (40019, 40056), (50841, 50858),
             (89072, 89148), (32264, 32273), (75565, 75604), (73337, 73351),
             (91838, 91845), (50756, 50782), (81178, 81217), (73106, 73113),
             (55246, 55253), (52685, 52710), (25579, 25596), (99031, 99045),
             (12524, 12556), (91260, 91300), (89784, 89820), (49108, 49178),
             (2092, 2118), (89701, 89724), (82339, 82428), (65151, 65199),
             (84805, 84906), (3190, 3258), (72712, 72718), (96711, 96736),
             (44042, 44096), (17905, 17911), (84936, 84967), (45778, 45802),
             (41115, 41132), (17452, 17499), (69483, 69512), (88800, 88828),
             (1700, 1735), (84649, 84703), (58545, 58570), (28832, 28845),
             (60648, 60658), (77972, 78019), (44138, 44161), (14489, 14559),
             (25756, 25797), (99664, 99683), (86610, 86642), (39348, 39378),
             (2397, 2449), (59933, 60016), (13878, 13888), (12114, 12147),
             (53671, 53682), (68645, 68723), (58008, 58074), (85038, 85125),
             (14169, 14172), (58167, 58177), (26965, 27047), (95389, 95414),
             (62835, 62889), (55521, 55539), (32955, 33019), (40397, 40402),
             (99049, 99058), (71586, 71587), (82674, 82704), (29126, 29157),
             (42282, 42364), (68007, 68079), (69860, 69862), (75799, 75830),
             (18784, 18839), (70433, 70443), (79344, 79366), (91746, 91762),
             (58422, 58481), (18970, 18991), (69022, 69039), (1937, 2002),
             (73051, 73060), (80818, 80851), (80239, 80289), (7025, 7049),
             (15658, 15722), (52199, 52274), (66557, 66643), (3509, 3527),
             (10498, 10561), (63173, 63186), (59739, 59752), (82343, 82426),
             (96195, 96272), (34973, 34987), (17568, 17597), (23971, 24048),
             (77709, 77722), (25721, 25791), (54857, 54875), (3660, 3661),
             (39596, 39671), (35263, 35301), (17905, 17909), (90799, 90800),
             (31607, 31648), (71774, 71804), (13856, 13872), (62613, 62665),
             (90721, 90736), (46721, 46723), (98721, 98737), (59947, 60023),
             (9386, 9428), (58628, 58684), (37303, 37345), (18521, 18587),
             (42163, 42195), (58197, 58208), (71336, 71338), (44405, 44485),
             (54329, 54417), (27346, 27377), (56402, 56419), (71210, 71276),
             (57363, 57371), (822, 833), (79093, 79129), (2632, 2637),
             (55272, 55339), (19474, 19510), (45848, 45870), (91924, 91993),
             (89414, 89466), (3057, 3088), (42637, 42684), (72716, 72718),
             (82267, 82283), (56283, 56327), (94060, 94093), (89497, 89530),
             (1074, 1109), (94324, 94334), (46162, 46213), (1602, 1629),
             (36309, 36355), (18762, 18820), (73106, 73114), (9263, 9345),
             (36606, 36657), (93614, 93629), (3071, 3097), (81155, 81210),
             (88254, 88315), (84202, 84243), (55085, 55116), (78882, 78910),
             (8020, 8062), (31008, 31023), (92831, 92880), (19683, 19717),
             (21928, 21933), (71495, 71504), (10165, 10179), (98072, 98118),
             (81460, 81487), (73577, 73581), (83975, 84021), (47481, 47524),
             (85365, 85426), (16307, 16349), (32961, 33021), (18077, 18102),
             (68316, 68342), (61979, 62007), (28707, 28722), (27153, 27190),
             (77235, 77265), (459, 472), (31061, 31096), (28105, 28137),
             (99974, 100016), (63046, 63079), (15909, 15977), (66188, 66215),
             (57432, 57453), (75317, 75376), (53307, 53323), (77642, 77673),
             (98512, 98521), (948, 1016), (56220, 56226), (57288, 57329),
             (42440, 42473), (78053, 78072), (14905, 14965), (52378, 52382),
             (90808, 90885), (51669, 51706), (15420, 15466), (37682, 37729),
             (10113, 10144), (64588, 64611), (86881, 86911), (58164, 58172),
             (96352, 96378), (39592, 39662), (77748, 77811), (43437, 43461),
             (29807, 29837), (19182, 19235), (17525, 17594), (18415, 18432),
             (27346, 27377), (24422, 24454), (53818, 53823), (36261, 36278),
             (80385, 80393), (44786, 44842), (43122, 43196), (5652, 5671),
             (85455, 85460), (8097, 8116), (5877, 5938), (54332, 54416),
             (40644, 40719), (68297, 68328), (47276, 47279), (5992, 6029),
             (2821, 2865), (83990, 84021), (21317, 21378), (68638, 68713),
             (78318, 78338), (19009, 19040), (74724, 74745), (39695, 39727),
             (32002, 32058), (9688, 9716), (93726, 93729), (5316, 5353),
             (61019, 61024), (13880, 13884), (50264, 50288), (32023, 32075),
             (84066, 84086), (35036, 35044), (28416, 28440), (64303, 64319),
             (70433, 70439), (53413, 53444), (34824, 34863), (18902, 18935),
             (72151, 72210), (30895, 30911), (62480, 62550), (44567, 44624),
             (20457, 20462), (2491, 2534), (61193, 61228), (9103, 9137),
             (25426, 25427), (43499, 43544), (73978, 74025), (55360, 55413),
             (40543, 40571), (50326, 50342), (8229, 8266), (36021, 36034),
             (6943, 6982), (58308, 58346), (22641, 22670), (44693, 44694),
             (80068, 80103), (19614, 19622), (70919, 70998), (77139, 77147),
             (69440, 69488), (9801, 9835), (4293, 4346), (40629, 40673),
             (78052, 78068), (2965, 2983), (95594, 95632), (11529, 11571),
             (92093, 92093), (60758, 60802), (13828, 13832), (21109, 21150),
             (72018, 72044), (51772, 51802), (8207, 8239), (14617, 14654),
             (3922, 3933), (93509, 93579), (96223, 96270), (83029, 83044),
             (23978, 24049), (66480, 66525), (33429, 33478), (2378, 2434),
             (5201, 5226), (64303, 64311), (88390, 88423), (13747, 13781),
             (11846, 11867), (30273, 30300), (32298, 32343), (927, 937),
             (9943, 10010), (4181, 4209), (11178, 11256), (94466, 94485),
             (1815, 1840), (12672, 12703), (68912, 68936), (62965, 62987),
             (76630, 76697), (43711, 43797), (11759, 11777), (684, 721),
             (61276, 61333), (79513, 79550), (61125, 61151), (47033, 47078),
             (83856, 83878), (38522, 38543), (1373, 1375), (65001, 65055),
             (68506, 68527), (71651, 71739), (28228, 28229), (36804, 36807),
             (11494, 11499), (83536, 83552), (91537, 91579), (15528, 15563),
             (49309, 49333), (38191, 38198), (82247, 82277), (46013, 46019),
             (90240, 90251), (61249, 61260), (94678, 94691), (81590, 81614),
             (4522, 4552), (13760, 13804), (25264, 25266), (6584, 6646),
             (53399, 53457), (80646, 80656), (79089, 79129), (81950, 81994),
             (44114, 44117), (52981, 53022), (40202, 40251), (47046, 47078),
             (30370, 30422), (29654, 29660), (41845, 41864), (9616, 9629),
             (17446, 17483), (28123, 28146), (87460, 87498), (96484, 96533),
             (16471, 16495), (15786, 15839), (78224, 78228), (42875, 42932),
             (10250, 10265), (90286, 90336), (45965, 45976), (22704, 22736),
             (46768, 46783), (7672, 7711), (55361, 55424), (58168, 58182),
             (54671, 54732), (75926, 75955), (56283, 56369), (35794, 35824),
             (7556, 7619), (33503, 33534), (594, 620), (24705, 24720),
             (65840, 65874), (98717, 98725), (66885, 66956), (39840, 39868),
             (56454, 56512), (28705, 28719), (6959, 6987), (28915, 28936),
             (72024, 72042), (59392, 59400), (91310, 91311), (69063, 69142),
             (63505, 63561), (71072, 71111), (41066, 41092), (34423, 34496),
             (56116, 56138), (94328, 94344), (86034, 86045), (28327, 28334),
             (35665, 35683), (46669, 46705), (23056, 23103), (54110, 54120),
             (84133, 84138), (72558, 72625), (29133, 29186), (46892, 46934),
             (92869, 92913), (5766, 5812), (31083, 31105), (18163, 18182),
             (64609, 64646), (884, 901), (70514, 70538), (35217, 35219),
             (3407, 3485), (95389, 95411), (7285, 7296), (58410, 58481),
             (61495, 61529), (57502, 57505), (55848, 55854), (47667, 47702),
             (97334, 97366), (80268, 80292), (14812, 14830), (29529, 29533),
             (40487, 40501), (51616, 51699), (71660, 71731), (76194, 76219),
             (23573, 23592), (818, 838), (16064, 16107), (64522, 64524),
             (9285, 9347), (85390, 85434), (82676, 82733), (81645, 81688),
             (3882, 3891), (35465, 35526), (41935, 41960), (32540, 32627),
             (12683, 12703), (90980, 91018), (56072, 56079), (21295, 21299),
             (56556, 56557), (4817, 4832), (77541, 77589), (50959, 51006),
             (38140, 38156), (67936, 67985), (46681, 46712), (31339, 31357),
             (36057, 36066), (48910, 48982), (91533, 91564), (55506, 55532),
             (60397, 60424), (20555, 20588), (85998, 86005), (14912, 14997),
             (39966, 39981), (38141, 38186), (50703, 50731), (38270, 38278),
             (94451, 94455), (27567, 27627), (26064, 26074), (43847, 43918),
             (10172, 10179), (29400, 29428), (88701, 88709), (86993, 87007),
             (45953, 45976), (91310, 91314), (24409, 24413), (73577, 73578),
             (80478, 80521), (24984, 25027), (24525, 24541), (99459, 99516),
             (38494, 38500), (97753, 97765), (42309, 42357), (12876, 12916),
             (11381, 11416), (45361, 45379), (63493, 63525), (28023, 28043),
             (76448, 76474), (33142, 33184), (85071, 85129), (59615, 59624),
             (24126, 24216), (46272, 46281), (45601, 45630), (66301, 66344),
             (73344, 73361), (6015, 6037), (83544, 83583), (95450, 95465),
             (83034, 83059), (79642, 79663), (85996, 86008), (63299, 63354),
             (87626, 87669), (35551, 35565), (44994, 45035), (34599, 34627),
             (6090, 6138), (86127, 86133), (29761, 29789), (28989, 28997),
             (41375, 41398), (87371, 87377), (61098, 61150), (21623, 21678),
             (82519, 82561), (5576, 5618), (95616, 95662), (95962, 95971),
             (77652, 77685), (48805, 48871), (52379, 52385), (80953, 81013),
             (16815, 16855), (93407, 93451), (33598, 33674), (75697, 75723),
             (62166, 62202), (76553, 76556), (18175, 18184), (44134, 44160),
             (55674, 55749), (21456, 21513), (17965, 18016), (23449, 23458),
             (90239, 90243), (15523, 15550), (31002, 31014), (58884, 58917),
             (65261, 65285), (24443, 24520), (53741, 53759), (55104, 55152),
             (97868, 97899), (67053, 67064), (56299, 56365), (41439, 41491),
             (86994, 87003), (73797, 73827), (5734, 5800), (67732, 67756),
             (20943, 20986), (48474, 48476), (10250, 10260), (83822, 83846),
             (97950, 98001), (48909, 49010), (66567, 66625), (54925, 54957),
             (23697, 23723), (72712, 72718), (82097, 82148), (19323, 19376),
             (686, 730), (96768, 96860), (55877, 55888), (30722, 30795),
             (85605, 85651), (10120, 10157), (2147, 2158), (77143, 77149),
             (89937, 89959), (94366, 94375), (9815, 9871), (36566, 36618),
             (35142, 35170), (71474, 71483), (3883, 3891), (23294, 23350),
             (78101, 78138), (88341, 88368), (67502, 67591), (38271, 38280),
             (11866, 11884), (47959, 48007), (65558, 65612), (48277, 48314),
             (13487, 13508), (28589, 28631), (56408, 56428), (65723, 65738),
             (2055, 2111), (15072, 15105), (71203, 71276), (83169, 83199),
             (98617, 98632), (89407, 89466), (10618, 10654), (4988, 5014),
             (76914, 76955), (74407, 74432), (83447, 83464), (47154, 47189),
             (114, 162), (58870, 58912), (12111, 12134), (11174, 11221),
             (57077, 57110), (69180, 69225), (46480, 46502), (11741, 11764),
             (24530, 24543), (1216, 1256), (11443, 11486), (79711, 79752),
             (78737, 78822), (48397, 48435), (61983, 62022), (29016, 29029),
             (6718, 6781), (57504, 57508), (17905, 17910), (94809, 94850),
             (56218, 56226), (8017, 8062), (60840, 60887), (57613, 57653),
             (24803, 24807), (95883, 95914), (22633, 22649), (30945, 30977),
             (35670, 35696), (20877, 20933), (56596, 56610), (94686, 94717),
             (26866, 26915), (94955, 95033), (81053, 81064), (93400, 93455),
             (28494, 28511), (65973, 66005), (11613, 11648), (76751, 76755),
             (23148, 23190), (72773, 72851), (73658, 73709), (67304, 67310),
             (93804, 93820), (42868, 42901), (32156, 32174), (99204, 99223),
             (84137, 84147), (86179, 86236), (11363, 11414), (20656, 20697),
             (75890, 75940), (12725, 12749), (74335, 74363), (12398, 12439),
             (8640, 8703), (63469, 63475), (33328, 33343), (86629, 86657),
             (79218, 79229), (13825, 13830), (89843, 89846), (12730, 12755),
             (94854, 94873), (90434, 90466), (73051, 73055), (31738, 31765),
             (58863, 58889), (57029, 57088), (45660, 45739), (31898, 31926),
             (59118, 59156), (74066, 74068), (86990, 87002), (89310, 89353),
             (99135, 99158), (79346, 79366), (76710, 76710), (18278, 18280),
             (10111, 10149), (60944, 60951), (2825, 2871), (53067, 53117),
             (69940, 69978), (37463, 37494), (33400, 33408), (39735, 39745),
             (77945, 78000), (93889, 93912), (94451, 94460), (60662, 60678),
             (33957, 34011), (56557, 56558), (47343, 47375), (69860, 69861),
             (24129, 24204), (55362, 55409), (28417, 28457), (81809, 81849),
             (65141, 65174), (49320, 49370), (22425, 22432), (28737, 28744),
             (36259, 36278), (11262, 11271), (16322, 16345), (99035, 99054),
             (77445, 77457), (44774, 44813), (3284, 3342), (20555, 20580),
             (96587, 96613), (83829, 83870), (78758, 78801), (43422, 43446),
             (4098, 4133), (454, 471), (41922, 41953), (51925, 52000),
             (10629, 10650), (99962, 100003), (51478, 51509), (7165, 7216),
             (51742, 51749), (94905, 94928), (68927, 68942), (11972, 11989),
             (95535, 95564), (62823, 62868), (91838, 91846), (37168, 37181),
             (34298, 34327), (31407, 31444), (45953, 45965), (22697, 22730),
             (15542, 15563), (28322, 28329), (64977, 65033), (52054, 52078),
             (17942, 17947), (23490, 23497), (18412, 18427), (98620, 98635),
             (37915, 37934), (25338, 25356), (71478, 71491), (15335, 15371),
             (80912, 81002), (84606, 84626), (89484, 89526), (44546, 44603),
             (91918, 91975), (8851, 8893), (7019, 7053), (61724, 61762),
             (46722, 46727), (93552, 93589), (36185, 36218), (57499, 57507),
             (4807, 4830), (68223, 68243), (94477, 94492), (9840, 9888),
             (94369, 94377), (6868, 6924), (84521, 84580), (70825, 70836),
             (85731, 85774), (32733, 32753), (34032, 34065), (76088, 76156),
             (97821, 97822), (23836, 23861), (79705, 79729), (97563, 97597),
             (46127, 46133), (6223, 6260), (77735, 77809), (62962, 62992),
             (68514, 68532), (33765, 33784), (22245, 22296), (27505, 27510),
             (98295, 98318), (66552, 66630), (42626, 42660), (54249, 54295),
             (11497, 11502), (86678, 86739), (29531, 29534), (67924, 67963),
             (14355, 14380), (89767, 89784), (78643, 78681), (27158, 27182),
             (79439, 79503), (60975, 60994), (79967, 80036), (37647, 37704),
             (73472, 73518), (8497, 8583), (40013, 40045), (46130, 46146),
             (36736, 36739), (82900, 82936), (94787, 94842), (40186, 40244),
             (24277, 24308), (10386, 10398), (72940, 73019), (77922, 78010),
             (23299, 23361), (40929, 40963), (16084, 16115), (85252, 85262),
             (12037, 12086), (85900, 85950), (90130, 90135), (50541, 50585),
             (65435, 65483), (68905, 68939), (22769, 22800), (413, 438),
             (7169, 7255), (81050, 81058), (31124, 31156), (36295, 36368),
             (20221, 20266), (55043, 55067), (20455, 20459), (23049, 23101),
             (49434, 49484), (41376, 41407), (30507, 30584), (76710, 76712),
             (90167, 90176), (43366, 43405), (13605, 13658), (312, 321),
             (51238, 51282), (91205, 91244), (86527, 86584), (52200, 52297),
             (30343, 30411), (20345, 20419), (46903, 46965), (65732, 65752),
             (18890, 18918), (19683, 19731), (54115, 54122), (34836, 34871),
             (1142, 1143), (81629, 81688), (8427, 8445), (16580, 16643),
             (43295, 43322), (50502, 50561), (4123, 4138), (15668, 15705),
             (25464, 25522), (86371, 86424), (45272, 45317), (45302, 45329),
             (37267, 37272), (45446, 45490), (48935, 49010), (57367, 57379),
             (34976, 34989), (91131, 91145), (41723, 41761), (31319, 31350),
             (37968, 38001), (40782, 40860), (26270, 26277), (26118, 26128),
             (58949, 58965), (6333, 6369), (56771, 56794), (49801, 49844),
             (81463, 81507), (90981, 91034), (81195, 81226), (36165, 36190),
             (68173, 68186), (13845, 13861), (8808, 8870), (98718, 98730),
             (63693, 63768), (23763, 23772), (6442, 6494), (89106, 89157),
             (2632, 2646), (79953, 80025), (86129, 86136), (1462, 1502),
             (3660, 3660), (6596, 6659), (50826, 50856), (75169, 75203),
             (33770, 33798), (59249, 59292), (54834, 54861), (58410, 58491),
             (64303, 64324), (74865, 74893), (31511, 31540), (53916, 53951),
             (36062, 36078), (31998, 32039), (88126, 88201), (25601, 25628),
             (17947, 17950), (17711, 17755), (55177, 55220), (65272, 65327),
             (57278, 57323), (17458, 17503), (28985, 28994), (63869, 63930),
             (9929, 10003), (65959, 65994), (28029, 28051), (79276, 79330),
             (54515, 54528), (87943, 87953), (9189, 9215), (52688, 52701),
             (97234, 97267), (94327, 94346), (76342, 76398), (53196, 53216),
             (25717, 25764), (90423, 90462), (5526, 5547), (95084, 95123),
             (32261, 32267), (66299, 66342), (13024, 13031), (40330, 40337),
             (65724, 65750), (77228, 77251), (57723, 57759), (98515, 98526),
             (97009, 97015), (10618, 10630), (37320, 37372), (33943, 34024),
             (24628, 24669), (6601, 6680), (59716, 59747), (59707, 59714),
             (17027, 17085), (27336, 27342), (20027, 20100), (88598, 88637),
             (44279, 44310), (85589, 85652), (26512, 26528), (548, 598),
             (38337, 38341), (54913, 54955), (63879, 63932), (24881, 24922),
             (24708, 24733), (19460, 19508), (22714, 22742), (18664, 18699),
             (46390, 46426), (50169, 50206), (57635, 57673), (15170, 15220),
             (84812, 84906), (74158, 74242), (51472, 51516), (75550, 75586),
             (27827, 27833), (44508, 44538), (78314, 78334), (8307, 8360),
             (77479, 77490), (23850, 23892), (11259, 11269), (59615, 59626),
             (6201, 6242), (56222, 56228), (77431, 77453), (86756, 86784),
             (29943, 30019), (29265, 29324), (46046, 46082), (94899, 94915),
             (80818, 80850), (65249, 65256), (99459, 99499), (14237, 14332),
             (67729, 67743), (99742, 99745), (83537, 83579), (75023, 75074),
             (54512, 54524), (46052, 46095), (6272, 6323), (26592, 26643),
             (71758, 71808), (76638, 76668), (26819, 26845), (92730, 92736),
             (79519, 79560), (18977, 18989), (36253, 36274), (52805, 52878),
             (40788, 40844), (14367, 14385), (86765, 86817), (58594, 58614),
             (97821, 97822), (58598, 58617), (52998, 53037), (68966, 68977),
             (63633, 63678), (49726, 49758), (33198, 33206), (13825, 13832),
             (97169, 97207), (53194, 53210), (86348, 86374), (20858, 20915),
             (33941, 34010), (40462, 40477), (81825, 81877), (3880, 3883),
             (62729, 62739), (26210, 26229), (95281, 95302), (67095, 67134),
             (15303, 15361), (87525, 87536), (28328, 28341), (98411, 98422),
             (36453, 36524), (65250, 65255), (16952, 16992), (23181, 23213),
             (66190, 66204), (57370, 57382), (83640, 83652), (60949, 60961),
             (22542, 22584), (97482, 97510), (19131, 19143), (71058, 71121),
             (98793, 98853), (9510, 9575), (62721, 62742), (29010, 29030),
             (10503, 10578), (27336, 27340), (42307, 42364), (78469, 78538),
             (68967, 68977), (39440, 39527), (88560, 88587), (50527, 50563),
             (26610, 26652), (73806, 73860), (95786, 95812), (93802, 93817),
             (80812, 80838), (52504, 52545), (10564, 10597), (90133, 90139),
             (21012, 21068), (28499, 28523), (90130, 90138), (78958, 79005),
             (31381, 31422), (95177, 95231), (90169, 90180), (89624, 89628),
             (14253, 14333), (1690, 1750), (73216, 73285), (30939, 30963),
             (30942, 30988), (93099, 93119), (30646, 30661), (67658, 67707),
             (4545, 4591), (51222, 51222), (61632, 61654), (22328, 22359),
             (22036, 22065), (14172, 14175), (34318, 34336), (19614, 19619),
             (70236, 70275), (3794, 3795), (75415, 75469), (8029, 8064),
             (26825, 26837), (56556, 56557), (75200, 75226), (32248, 32255),
             (74185, 74229), (60649, 60670), (40541, 40563), (17855, 17879),
             (99204, 99218), (89778, 89805), (69860, 69862), (40908, 40961),
             (2276, 2320), (36943, 36994), (3404, 3438), (8431, 8448),
             (37792, 37837), (56448, 56478), (70825, 70833), (79643, 79682),
             (87266, 87321), (18374, 18376), (91425, 91452), (35250, 35277),
             (37523, 37561), (89841, 89845), (79935, 79990), (87435, 87505),
             (53920, 53961), (52038, 52072), (97065, 97102), (34664, 34729),
             (50039, 50131), (76775, 76789), (32152, 32170), (31243, 31290),
             (25142, 25169), (34240, 34271), (76888, 76935), (50833, 50849),
             (76087, 76160), (98963, 98973), (20799, 20834), (39061, 39134),
             (52478, 52559), (74837, 74848), (3000, 3013), (46469, 46502),
             (12367, 12436), (3008, 3022), (12254, 12291), (91121, 91139),
             (80104, 80164), (34041, 34080), (17237, 17274), (65981, 66022),
             (89625, 89629), (54111, 54122), (44113, 44115), (88035, 88093),
             (33297, 33314), (13884, 13888), (20843, 20882), (63325, 63378),
             (73473, 73519), (92620, 92665), (5658, 5683), (10382, 10387),
             (6886, 6929), (90213, 90217), (27338, 27342), (84753, 84800),
             (54041, 54065), (59706, 59713), (46014, 46019), (35564, 35577),
             (78890, 78916), (77517, 77588), (7291, 7300), (45135, 45186),
             (30105, 30149), (53428, 53459), (3175, 3251), (97420, 97424),
             (94367, 94375), (25911, 25944), (5738, 5804), (78888, 78914),
             (56069, 56074), (56601, 56634), (50434, 50449), (62456, 62526),
             (18893, 18930), (32249, 32255), (59812, 59863), (9377, 9435),
             (65688, 65715), (62478, 62540), (55671, 55741), (47161, 47189),
             (58778, 58785), (76441, 76471), (59933, 59968), (10293, 10331),
             (36843, 36844), (76710, 76712), (90010, 90072), (87936, 87959),
             (11912, 11942), (79342, 79357), (78369, 78406), (38345, 38436),
             (8930, 8995), (13487, 13501), (93725, 93727), (313, 319),
             (66877, 66948), (93620, 93640), (99320, 99358), (14910, 14967),
             (21106, 21126), (23450, 23471), (79831, 79866), (58591, 58603),
             (35120, 35170), (95172, 95235), (10682, 10696), (18757, 18824),
             (99850, 99873), (16599, 16650), (76909, 76982), (36975, 37015),
             (88844, 88886), (67752, 67768), (95616, 95645), (79276, 79334),
             (13109, 13137), (40400, 40403), (4300, 4366), (3268, 3310),
             (30903, 30911), (94465, 94479), (93382, 93386), (9667, 9697),
             (93512, 93585), (86602, 86625), (69012, 69032), (85528, 85553),
             (63639, 63669), (53064, 53115), (28826, 28844), (26890, 26963),
             (77790, 77827), (32247, 32251), (92175, 92215), (35039, 35052),
             (54600, 54616), (80381, 80388), (75500, 75546), (8432, 8456),
             (51612, 51693), (99136, 99190), (53480, 53526), (451, 461),
             (57942, 57979), (50442, 50449), (27449, 27477), (44941, 44948),
             (49897, 49925), (7293, 7305), (45838, 45882), (64681, 64691),
             (93257, 93296), (47160, 47180), (80746, 80797), (81321, 81385),
             (75487, 75517), (3660, 3660), (18164, 18184), (12876, 12895),
             (33384, 33402), (25338, 25367), (48112, 48170), (33869, 33913),
             (98817, 98863), (90284, 90354), (52524, 52562), (86166, 86239),
             (77711, 77731), (85151, 85164), (61740, 61810), (85862, 85900),
             (50326, 50343), (87523, 87531), (67233, 67286), (21113, 21147),
             (57964, 57987), (12127, 12155), (32598, 32629), (45453, 45508),
             (91313, 91315), (28894, 28925), (53635, 53642), (67912, 67984),
             (68003, 68053), (32706, 32729), (43630, 43637), (32430, 32501),
             (2157, 2170), (76554, 76558), (5863, 5929), (89942, 89962),
             (89247, 89271), (71448, 71468), (99745, 99747), (35566, 35591),
             (60950, 60962), (85456, 85458), (11021, 11058), (675, 713),
             (39448, 39534), (93383, 93384), (98301, 98311), (54703, 54737),
             (34120, 34158), (69755, 69776), (35671, 35700), (50101, 50135),
             (26201, 26221), (37796, 37850), (33888, 33923), (92276, 92354),
             (21646, 21675), (35217, 35219), (96326, 96362), (49589, 49603),
             (91521, 91545), (71498, 71509), (53206, 53222), (56731, 56793),
             (57904, 57905), (84911, 84951), (92728, 92733), (5571, 5613),
             (95091, 95157), (92448, 92467), (62726, 62745), (21208, 21254),
             (63719, 63771), (55864, 55877), (76298, 76323), (1487, 1507),
             (28227, 28230), (60820, 60881), (19505, 19535), (3051, 3081),
             (41586, 41624), (79265, 79293), (99153, 99182), (51322, 51339),
             (49134, 49195), (16074, 16124), (46170, 46212), (9921, 9978),
             (17137, 17166), (81469, 81506), (62279, 62312), (89927, 89954),
             (60828, 60865), (9407, 9454), (74343, 74373), (43499, 43532),
             (51059, 51110), (58955, 58974), (33343, 33352), (93802, 93816),
             (40396, 40400), (10910, 10970), (1062, 1115), (86296, 86339),
             (22424, 22432), (19967, 20005), (3420, 3497), (68290, 68340)
         ], 50198),
        ([
             (12, 140), (140, 177), (177, 255), (255, 312), (400, 401)
         ], 301),
    ]
)
def test_uniinterval(segments, value):
    result = run(
        __file__, 'solution.py',
        input=', '.join(str(s) for s in segments) + '\n'
    )
    assert result.returncode == 0, result.stderr
    assert int(result.stdout) == value
